using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows.Controls;
using System.Windows.Input;
using System.Windows;

namespace Commands
{
    class MyTextBlock : TextBlock
    {
        private void HelpCanExecute(object sender, CanExecuteRoutedEventArgs e)
        {
            if (Text.Equals(""))
            {
                e.CanExecute = true;
            }
            else
            {
                e.CanExecute = false;
            }
        }

        private void HelpExecuted(object sender, ExecutedRoutedEventArgs e)
        {

            MessageBoxResult res = MessageBox.Show("Liczby to na przykład 1, 2, 3");
        }
    }
}
